<div class="container">
    <button class="back_button" mat-button (click)="location.back()">
        <mat-icon>keyboard_arrow_left</mat-icon>
        Regresar
    </button>
    <div style="display: flex; flex-wrap: wrap;">
        <div class="container__tools">
            <h3 class="container__instructions">
                Modifica la información de tu comercio
            </h3>
            <img class="container__arrow" src="assets/images/arrow.svg" alt="">
            <button class="container__button" mat-button (click)="editCommerce()">
                <mat-icon>edit</mat-icon>
                Modificar información
            </button>
        </div>
        <div *ngIf="allow_add" class="container__tools">
            <h3 class="container__instructions">
                Utiliza este botón para crear un producto
            </h3>
            <img class="container__arrow" src="assets/images/arrow.svg" alt="">
            <button class="container__button" mat-button (click)="addProduct()">
                <mat-icon>add</mat-icon>
                Añadir Producto
            </button>
        </div>
        <div [hidden]="true" class="container__tools">
            <button mat-button (click)="goToLayoutCreation()">
                <mat-icon>picture_in_picture</mat-icon>
                Crear Diseño de Negocio
            </button>
        </div>
        <div class="container__tools">
            <h3 class="container__instructions_long">
                Activa el switch cuando estes seguro de mostrar tu comercio a tus clientes
            </h3>
            <img class="container__arrow" src="assets/images/arrow.svg" alt="">
            <mat-slide-toggle (change)="changeProd()" [(ngModel)]="production" class="container__button_toggle">
                {{production? 'Comercio Activado':'Comercio Desactivado'}}
            </mat-slide-toggle>
        </div>
    </div>
    <mat-tab-group>
        <mat-tab class="container__main">
            <ng-template mat-tab-label>
                <mat-icon class="example-tab-icon">shopping_cart</mat-icon>
                Productos Vendidos
            </ng-template>
            <h2 class="container__items_title">Productos en venta</h2>
            <mat-list class="container__items">
                <mat-list-item class="container__item" *ngFor="let product of products">
                    <mat-icon mat-list-icon>shopping_cart</mat-icon>
                    <div mat-line>{{product.name}}</div>
                    <div mat-line>Precio Unitario: ${{product.price}}</div>
                    <div mat-line>
                            <button  [routerLink]="['products',product.id]" 
                        [state]="{ product: product }"
                        routerLinkActive="router-link-active" mat-button>
                            Click para editar este producto
                        </button>
                    </div>
                </mat-list-item>
            </mat-list>
        </mat-tab>
    
        <mat-tab>
            <ng-template mat-tab-label>
            <mat-icon class="example-tab-icon">menu_book</mat-icon>
             Pedidos pendientes
            </ng-template>
            <h2 class="container__items_title">Pedidos de clientes</h2>
            <mat-list class="container__items">
                <mat-list-item class="container__item" *ngFor="let order of orders">
                    <mat-icon mat-list-icon>menu_book</mat-icon>
                    <div mat-line>{{order.user.name}} {{order.user.lastname}} </div>
                    <div mat-line *ngIf="order.price">Precio de la Orden: ${{order.price}} peso(s)</div>
                    <div mat-line *ngIf="order.collect_time">Día de Recolección: {{order.collect_time}}</div>
                    <div mat-line>
                        <button  [routerLink]="['orders', order.id]" 
                        [state]="{ order: order }"
                        routerLinkActive="router-link-active" mat-button>
                            Revisar y actualizar estado de pedido
                        </button>
                    </div>
                </mat-list-item>
            </mat-list>
        </mat-tab>
    </mat-tab-group>
</div>